A Valheim mod that allows you to ignore loot when walking over it! Featuring 3 modes and full configuration, you can tweak it to your heart's content. By default, press L to switch between these modes:

- Block all - Blocks everything, so you won't automatically pick up any items on the ground.
- Block trash - Blocks your configured trash list, so items on the list won't be picked up while other items will be picked up.
- Allow all - How the game works normally, everything will be picked up when walked over as long as you have space and free weight

Regardless of which block mode you're using, you can always pick up items manually.

**Installation**

This mod relies on BepInEx, found [here](https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/)<br>Download this mod from here or directly from our [GitHub repository](https://github.com/Loki-Valheim-Modding/loki-valheim) and place it in your *Valheim\BepInEx\Plugins* folder. If this folder doesn't exist yet, you can create it.

**Configuration**

Navigate to the *Valheim\BepInEx\config* folder and open the *com.loki.clientmods.valheim.autopickupfilter.cfg* in a text editor of your choice. If the file doesn't exist, run the game at least once with the mod installed.

Input
- LootKey - The key (combination) to press in order to change mode. Works with both single key, or with modifier (e.g. L + LeftControl)


Options
- DefaultLootMode - The mode in which the game will start.
- BlockTrophies - Whether to block all trophies when in BlockTrash mode so you don't have to enter them manually in the list
- TrashList - the list of items to block when in BlockTrash mode. By default, this list is aimed at the endgame but you can fully configure it to your liking.


The trash list is separated by commas and each entry should start with a $<br>You can view how each item is called by going to the [wiki](https://valheim.fandom.com/wiki/Localization)

By default, the TrashList is configured as followed:
`$item_stone,$item_wood,$item_resin,$item_chain,$item_witheredbone,$item_bonefragments,$item_hardantler,$item_ancientseed,$item_leatherscraps,$item_deerhide,$item_trollhide,$item_greydwarfeye,$item_dandelion,$item_fircone,$item_pinecone,$item_beechseeds`<br>For a lategame character, this allows you to mine ore and chop advanced wood without picking up regular stone and wood. It also ignores all trash loot from boars, deer and greydwarves etc.<br>**Source code**

Our GitHub repository can be found [here](https://github.com/Loki-Valheim-Modding/loki-valheim)